Create customer

This request creates a customer profile.

Recipes
Create a Customer
Open Recipe
Link a Payment Profile to a Customer
Open Recipe
   Click here to learn more about this request

A customer is an individual or company that can be associated with a loan. Note the following when creating customer profiles:

Customers are represented by the Customers entity. The Customers entity holds a vast amount of information: multiple entities are nested within the Customers entity, such as PrimaryAddress, Phones, Employer, and more. These entities can be edited individually or in one request, but we've broken them into separate requests in this documentation to simplify things.

There are three types of customers within LoanPro:

Individual: profiles for individuals in a business-to-consumer scenarios

Company: profiles for those in generic business-to-business scenarios

Flooring: profiles for those in business-to-business scenarios who have flooring loan accounts

The system provides a transaction warning when it detects a duplicate customer. A customer profile will not be created if the provided social security number and date of birth pairing matches an existing customer. However, other duplicate warnings can be ignored by using the __ignoreWarnings field. Here's a list of all fields that are checked for duplicates:

ssn: Social Security Number or Social Insurance Number

email: Email Address

phones: Phone Number

PrimaryAddress: Primary Address

MailingAddress: Mailing Address

Many users like to create a customer and link a loan within one request. To see an example, look at the payload examples for our POST create loan request. Creating a loan and linking a customer in one request requires an existing customer or to create a new one beforehand. Here's why:

When creating a new loan and linking a customer all within the same request, the customer's ID is used in the payload and send the request through the Loans endpoint. Therefore, a valid customer ID is needed since a customer can't be created through the Loans endpoint.

For an example of how customer information works within the UI, take a look at our Customer Details article.

Database

For information regarding customer database tables, see the following articles:

Database – Customer Main Table (customer_entity)

Database – Customer Status Entity (customer_status_entity)

{
    "status": "Active",
    "customerType": "customer.type.individual",
    "customerIdType": "customer.idType.ssn",
    "firstName": "John",
    "lastName": "Doe",
    "birthDate": "1970-01-15",
    "ssn": "000000000",
    "gender": "customer.gender.male",
    "generationCode": "customer.generationCode.none",
    "accessUserName": "johndoeapiuser",
    "customId": "ABC123",
    "email": "[email protected]",
    "__ignoreWarnings": true,
    "PaymentAccounts": {
        "results": [
            {
                "active": 1,
                "isPrimary": 0,
                "isSecondary": 1,
                "title": "API Example Account",
                "type": "paymentAccount.type.checking",
                "CheckingAccount": {
                    "accountType": "bankacct.type.checking",
                    "token": "QVFJREFIalVqRl..."
                },
                "CreditCard": {}
            }
        ]
    },
    "Employer": {
        "phone": "8642543322",
        "payDate": "2020-01-30",
        "Address": {
            "address1": "9 Michigan Ave",
            "city": "Chicago",
            "state": "geo.state.IL",
            "zipcode": "60602",
            "country": "company.country.usa"
        },
        "hireDate": "2015-01-15",
        "incomeFrequency": "customerEmployer.incomeFrequency.annually",
        "payDateFrequency": "customerEmployer.payDateFrequency.biWeekly",
        "income": 75000,
        "companyName": "Chicago Dawgs Stands",
        "title": "Owner"
    },
    "References": {
        "results": [
            {
                "name": "Tony Doe",
                "relation": "customerReference.relation.brother",
                "Address": {
                    "country": "company.country.usa",
                    "address1": "2600 Sheridan Road",
                    "zipcode": "60201",
                    "city": "Evanston",
                    "state": "geo.state.IL"
                },
                "primaryPhone": "2024456655"
            }
        ]
    },
    "Phones": {
        "results": [
            {
                "phone": "5551234567",
                "isPrimary": "1",
                "isSecondary": "0",
                "type": "customer.phoneType.cell",
                "carrierVerified": 1,
                "isLandLine": 0,
                "__ignoreWarnings": true
            }
        ]
    },
    "PrimaryAddress": {
        "address1": "201 E Randolph St",
        "city": "Chicago",
        "state": "geo.state.IL",
        "zipcode": "60602",
        "country": "company.country.usa",
        "geoLat": "41.882648",
        "geoLon": "-87.623102",
        "verify": true
    },
    "CreditScore": {
        "equifaxScore": 711,
        "transunionScore": 692,
        "experianScore": 698
    },
    "MailAddress": {
        "address1": "201 E Randolph St",
        "city": "Chicago",
        "state": "geo.state.IL",
        "zipcode": "60602",
        "country": "company.country.usa",
        "geoLat": "41.882648",
        "geoLon": "-87.623102",
        "verify": true
    }
}
{
    "companyName": "Acme Co",
    "contactName": "John Doe",
    "customerType": "customer.type.company",
    "email": "[email protected]",
    "gender": "customer.gender.unknown",
    "customerIdType": "customer.idType.employerNumber",
    "generationCode": "customer.generationCode.none",
    "status": "Active",
    "customerId": "1234567890",
    "MailAddress": {
        "city": "San Francisco",
        "state": "geo.state.CA",
        "country": "company.country.usa",
        "zipcode": "94105",
        "address1": "660 Howard St"
    },
    "PrimaryAddress": {
        "city": "San Francisco",
        "state": "geo.state.CA",
        "country": "company.country.usa",
        "zipcode": "94105",
        "address1": "660 Howard St"
    },
    "__ignoreWarnings": true
}
Body Params
string
required

This determines the status of the customer.

string
enum
required

This determines the type of the customer.
> For more information on these values, click here

Allowed:
string
enum
Defaults to customer.idType.ssn

This determines the type of government ID number used for the customer.
> For more information on these values, click here

Allowed:
string
required

This is the customer's first name.

string

This is the customer's middle name.

string
required

This is the customer's last name.

string

When creating a company-type customer profile, this is the name of the company.
> This field is required when creating a company-type customer profile.
> This field is only used when the customerType field is set to "customer.type.company" or "customer.type.flooringCustomer".

string

When creating a company-type customer profile, this is the first and last name of the company's point of contact.
> This field is required when creating a company-type customer profile.
> This field is only used when the customerType field is set to "customer.type.company" or "customer.type.flooringCustomer".

string

This is the customer's social security number.
> Formatted as a nine-digit number without dashes.

string

This is the customer's Employee Identification Number (EIN).
> This field is only used when the customerIdType field is set to "customer.idType.employerNumber".

string
required

This is the birth date of the customer.
> This field is only required when creating a consumer-type customer profile.

string

This is the customer's driver's license number.

string
enum
required

This is the customer's gender.
> This field is only required when creating a consumer-type customer profile.
> For more information on these values, click here

Allowed:
string
enum
required

This is the customer's generation.
> This field is only required when creating a consumer-type customer profile.
> For more information on these values, click here

Allowed:
string

This is an optional field that allows you to provide a secondary ID for the customer profile.

string

This is the customer's email address.

string

This determines the username the customer uses to access the customer portal.

boolean

This allows you to bypass transactional warnings for duplicate customers.

PaymentAccounts
object

This object holds the customer's Payment Profile information.

Employer
object

This object holds the customer's employer information.

References
object

This object holds the customer's personal reference information.

Phones
object

This object holds the customer's phone number information.

PrimaryAddress
object
required

This object holds the customer's primary address information.

CreditScore
object

This object holds the customer's credit score information.

MailAddress
object
required

This object holds the customer's mailing address information.

CustomFieldValues
object

This object holds the customer Custom Field information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json